Skip to content
NETGEAR / PRODUCT DOSSIER

NETGEAR GS108T

NETGEAR GS108T-100EUS Switch
SKU: GS108T-100EUS

NETGEAR GS108T, Gözetilmiş, Tam iki taraflı baskı

View Specs Buy on Amazon →

You can report any missing or inaccurate technical specifications.

Recorded technical parameters and manufacturer data are verified.

NETGEAR GS108T-100EUS Switch

Technical specifications

Recorded specifications are grouped by product category. Missing data does not imply lack of support.
Connection Technology
Wired
Maximum Data Transfer Speed
Copper ethernet cabling technology
DHCP features
Power Over Ethernet Poe Support
No
Service Quality QoS Support
Yes
Basic Opening Closing RJ 45 Ethernet Input Count
Data Speed
10/100/1000 Mbps
Maximum Port Bandwidth
16 Gbit/s
MTBF Range
108016 Hours
Non-operating Humidity
Operating Humidity Range
0 - 90%
Operating Temperature Range
0 - 50 °C
Address Table Size
Weight
Dimensions Gxdxy
Web-based management
Yes
Storage Temperature Range Celsius
Noise level
0 dB
Akis Control Support
Yes
Key Type
Full Two-sided Printing
Yes
MAC address filtering
Yes
Package Cache
Brand
NETGEAR
Category
Network Switches
GTIN EAN UPC
0603992502561,
Product Name
GS108T
Product Series
Sold Markets
NL, GB, DE, IE, FR
Date Added to System
2007-06-08
Production Date
MIB support
RFC 1213, RFC 1643, RFC 1493
System event log
Yes
Backup and Transfer
Yes
NETGEAR GS108T-100EUS Switch